/*
Copyright © 2023 Philipp Wolfer <phw@uploadedlobster.com>

Scotty is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later version.

Scotty is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
Scotty. If not, see <https://www.gnu.org/licenses/>.
*/

package cli

import (
	"github.com/spf13/cobra"
	"go.uploadedlobster.com/scotty/internal/config"
)

func GetServiceConfigFromFlag(cmd *cobra.Command, flagName string) *config.ServiceConfig {
	name := cmd.Flag(flagName).Value.String()
	config, err := config.GetService(name)
	cobra.CheckErr(err)
	return config
}

func getInt64FromFlag(cmd *cobra.Command, flagName string) (result int64) {
	result, err := cmd.Flags().GetInt64(flagName)
	if err != nil {
		result = 0
	}
	return
}
